List of all members
clan::Cursor Class Reference
clanDisplay Window

Mouse cursor class. More...

`#include <cursor.h>`

## Public Member Functions
Construction
| Cursor ()
| Constructs a null instance. More...
| Cursor (const DisplayWindow &window, const CursorDescription &cursor_description)
| Constructs a Cursor. More...
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
CursorProvider * | get_provider () const
| Returns the cursor provider. More...

## Detailed Description

Mouse cursor class.

The documentation for this class was generated from the following file:

- cursor.h